Bug 308441 - Confusing error message when mkinitrd run as non-root
Confusing error message when mkinitrd run as non-root
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 03:56 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: mkinitrd-6.0.19-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 05:08:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-27 03:56:57 EDT
Description of problem:

  27 if [ $UID != 0 ]; then
  28     error "mkinitrd must be run as root."
  29     exit 1
  30 fi

This happens within the very first lines of the mkinitrd script, prior to
"error" function being defined, which results in something like this:

$ mkinitrd
/sbin/mkinitrd: line 28: error: command not found
$

Version-Release number of selected component (if applicable):

mkinitrd-6.0.9-7.1
Comment 1 Lubomir Kundrak 2007-11-16 05:08:03 EST
This seems fixed in mkinitrd-6.0.19-4.fc8

Note You need to log in before you can comment on or make changes to this bug.